Signup Forms
Submit a public signup form
Submits signup details. Supports JSON and browser form submissions; a Turnstile response may be required.
POST
/
forms
/
{publicId}
Submit a public signup form
curl --request POST \
--url https://api.jetemail.com/forms/{publicId} \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"cf-turnstile-response": "<string>"
}
'import requests
url = "https://api.jetemail.com/forms/{publicId}"
payload = {
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"cf-turnstile-response": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
firstName: '<string>',
lastName: '<string>',
'cf-turnstile-response': '<string>'
})
};
fetch('https://api.jetemail.com/forms/{publicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "You're subscribed. Thanks for joining!",
"redirect": "<string>"
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}{
"success": false,
"message": "Enter a valid email address."
}Path Parameters
Pattern:
^form_[A-Za-z0-9_-]{20,64}$Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Configured custom fields are accepted as additional string properties using their field keys.
Maximum string length:
320Maximum string length:
64Maximum string length:
64Required when the form configuration requires consent.
Available options:
yes, true, 1, on Required when Turnstile is enabled.
Maximum string length:
2048Maximum string length:
1000⌘I
Submit a public signup form
